Skip to content

ContactType​

What a Contact is, such as architect or site manager, and the slots an assignment's contacts fill. Deactivate a type instead of removing it.


OpenAPI Spec​

GET
/v2/contact-types/spec

Get OpenAPI 3.1.0 spec for ContactType API

Responses​

Returns OpenAPI 3.1.0 spec for ContactType API

application/json
JSON
{
}

Playground​

Samples​


List ContactTypes​

GET
/v2/contact-types

List ContactTypes

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
name
isSystem
deactivatedAt
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"isSystem": true,
  
  
  
"order": 0,
  
  
  
"deactivatedAt": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new ContactType​

POST
/v2/contact-types

Create a new ContactType

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"order": 0,
  
"deactivatedAt": "string"
}

Responses​

ContactType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isSystem": true,
  
"order": 0,
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a ContactType​

GET
/v2/contact-types/{contactTypeUuid}

Get a ContactType by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

contactTypeUuid*
Type
string
Required
Format
"uuid"

Responses​

ContactType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isSystem": true,
  
"order": 0,
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a ContactType​

PATCH
/v2/contact-types/{contactTypeUuid}

Update a ContactType by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

contactTypeUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"order": 0,
  
"deactivatedAt": "string"
}

Responses​

ContactType found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"isSystem": true,
  
"order": 0,
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​